TurnstileTaskProxyless#


Token-based automatic solving method for Cloudflare Turnstile CAPTCHA.
The received token can be submitted to the target website for verification. Turnstile is Cloudflare's CAPTCHA alternative that provides a frictionless challenge to verify users.
Price: $1.0/K

TurnstileTaskProxyless Task object structure#

nametypeRequiredDescription
typeStringYesTurnstileTaskProxyless
websiteURLStringYesComplete URL of the target page where the Turnstile widget is loaded
websiteKeyStringYesTurnstile site key. Can be found in the data-sitekey attribute of the Turnstile widget element
actionStringNoThe action parameter value for Turnstile Challenge pages, found in the turnstile.render call options
dataStringNoThe cData parameter value required for Turnstile Challenge pages
pagedataStringNoThe chlPageData parameter value required for Turnstile Challenge pages

Request example#

API endpoint: https://api.nextcaptcha.com/createTask

method: POST

Content type: application/json

{
    "clientKey":"api key",
    "task": {
        "type":"TurnstileTaskProxyless",
        "websiteURL":"https://example.com",
        "websiteKey":"0x4XXXXXXXXXXXXXXXXX"
    }
}

Response example#

{
  "errorId": 0,
  "status": "ready",
  "solution": {
    "token": "0.erxoMnovo7sGfKRqH1F2wME..."
  },
  "createTime": 1701234567890,
  "endTime": 1701234567890
}

Sample Code#

# https://github.com/nextcaptcha/nextcaptcha-python
 
import os
import sys
from nextcaptcha import NextCaptchaAPI
 
client_key = os.getenv('NEXTCAPTCHA_KEY', "YOUR_CLIENT_KEY")
 
api = NextCaptchaAPI(client_key=client_key)
try:
  result = api.turnstile(website_url="https://example.com", website_key="0x4XXXXXXXXXXXXXXXXX")
 
except Exception as e:
  sys.exit(e)
 
else:
  sys.exit('solved: ' + str(result))

Related Links#